//
//  GSReadFromCharstring.h
//  GlyphsCore
//
//  Created by Georg Seifert on 03.12.12.
//  Copyright (c) 2012 schriftgestaltung.de. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "MGOrderedDictionary.h"

NSString* copyReadString(char* Line, NSUInteger Length);

NSString* copyReadText(char* Line, NSInteger Length);

NSInteger readInt(char* Line, NSUInteger* Pos);

CGFloat readFloat(char* Line, NSUInteger* Pos);

NSString* copyReadKey(char* Line, NSUInteger* Pos);

NSString* copyReadValue(const char* Line, NSUInteger* Pos, NSUInteger MaxLength);

NSMutableDictionary* copyReadDict(FILE* File)__attribute((ns_returns_retained));

NSMutableArray* copyReadArray(FILE* File)__attribute((ns_returns_retained));

NSDate* readDate(char* Line, NSUInteger Length);
